"use client";
import * as o from "react";
import { useLayoutEffect as a } from "../../react-use-layout-effect/dist/index.js";
var s = o[" useId ".trim().toString()] || (() => {
}), c = 0;
function i(t) {
  const [e, r] = o.useState(s());
  return a(() => {
    r((u) => u ?? String(c++));
  }, [t]), t || (e ? `radix-${e}` : "");
}
export {
  i as useId
};
